Subject: Re: [PATCH] clone: run post-checkout hook when checking out

From: Nanako Shiraishi <[email-masked]>
Date: Tue, 03 Mar 2009 19:07:02 +0900

Quoting Jay Soffian <[email-masked]>:

> On Tue, Mar 3, 2009 at 1:45 AM, Junio C Hamano <[email-masked]> wrote:
>> I do not mind queueing this to 'pu' and let people fight it out.  I hate
>> the local side hooks that have no reason to be there, and consider that
>> the existence of the "checkout hook" to be a bug to begin with
>
> I just want to clarify: do you mean to say that none of the local side
> hooks have any reason to be there, or that some of the local hooks do
> not belong, and checkout is one of those?

There are five valid reasons you might want a hook to a git operation.

http://thread.gmane.org/gmane.comp.version-control.git/70781/focus=71069

-- 
Nanako Shiraishi
http://ivory.ap.teacup.com/nanako3/